/* ----------------------------------------------------------------------- */
/*  Projekt  : Trumpet Monitor                                             */
/*  Autor    : Dipl.-Ing. Markus Robert Keler                             */
/*  Erstellt : 27.07.2002, Mnchen               			   */
/*  Alle Rechte vorbehalten.                                               */
/* ----------------------------------------------------------------------- */

# include <stdio.h>

main(argc,argv)
int argc; char **argv;
{
    int zz,ende=0;
    long int i, zaehler=0;
    unsigned char einleitung[10], vierer_block[5], doppelpunkt,
	     hex_zeichen, leer_zeichen, zeilenumbruch, temp[2], klartext[21];
    FILE *fp;

    if((fp=fopen(argv[1],"rt")) == NULL) exit(1);

/* SND[0021] 0000:45 00 00 48 1C 8E 00 00 3C 11 79 FC C3 B3 BC 25 C2 40 A6 01 */

    do{
	strcpy(klartext,"");
	if(fscanf(fp,"%9s",einleitung)==EOF)
	    break;
	printf("%s",einleitung);

	fscanf(fp,"%c",&leer_zeichen);
	printf("%c",leer_zeichen);

	fscanf(fp,"%4s",vierer_block);
	printf("%4s",vierer_block);

	fscanf(fp,"%c",&doppelpunkt);
	printf("%c",doppelpunkt);

	for(zaehler=0;zaehler<20;zaehler++){
	    if(fscanf(fp,"%02x",&hex_zeichen)!=1){
	       break;
	    };
	    printf("%02x",hex_zeichen);
	    sprintf(temp, "%c",
		(hex_zeichen>31 && hex_zeichen<127) ? hex_zeichen : '.');
	    strcat(klartext,temp);
	    fscanf(fp,"%c",&leer_zeichen);
	    printf("%c",leer_zeichen);
	}
	for(i=20;i>zaehler;i--){
	   printf("   ");
	}
	printf(" %s\n",klartext);
    } while(1);

    putchar('\n');
    fclose(fp);
}

